Skip to main content
PATCH
/
api
/
v1
/
widget-settings
/
{id}
Update Widget Settings
curl --request PATCH \
  --url https://api.ravan.ai/api/v1/widget-settings/{id}/ \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "bot_name": "<string>",
  "bot_auto_start": true,
  "bot_position": "BOT_POSITION_UNSPECIFIED",
  "bot_logo": "<string>",
  "svg_logo": "<string>",
  "custom_form_fields": {},
  "theme": {},
  "language": "<string>",
  "consent_content": "<string>",
  "consent_title": "<string>"
}
'
{
  "success": true,
  "message": "Request completed successfully",
  "data": {
    "id": "id_123",
    "bot_name": "Support Bot",
    "bot_auto_start": true,
    "bot_position": "BOT_POSITION_BOTTOM_RIGHT",
    "bot_logo": "https://example.com/logo.png",
    "svg_logo": "https://example.com/logo.png",
    "custom_form_fields": {},
    "theme": {},
    "language": "en",
    "consent_content": "example",
    "consent_title": "example",
    "is_active": true,
    "created_at": "2026-03-14T12:00:00Z",
    "updated_at": "2026-03-14T12:00:00Z"
  }
}

Authorizations

X-Api-Key
string
required
Your Agni API key. Find it in your RavanAi.

Path Parameters

id
string
required
Widget Settings ID

Body

bot_name
string
Display name of the bot
bot_auto_start
boolean
Whether the bot starts automatically
bot_position
string
bot_position value. Allowed values: BOT_POSITION_UNSPECIFIED, BOT_POSITION_BOTTOM_RIGHT, BOT_POSITION_BOTTOM_LEFT, BOT_POSITION_TOP_RIGHT, BOT_POSITION_TOP_LEFT.
URL of the bot logo image
SVG logo content
custom_form_fields
object
Custom form field configuration
theme
object
Widget theme configuration
language
string
Language code (e.g. en, fr)
Consent modal body text
Consent modal title

Response

success
boolean
Whether the request succeeded.
message
string
Human-readable status message.
data
object
Returned data.
{
  "success": true,
  "message": "Request completed successfully",
  "data": {
    "id": "id_123",
    "bot_name": "Support Bot",
    "bot_auto_start": true,
    "bot_position": "BOT_POSITION_BOTTOM_RIGHT",
    "bot_logo": "https://example.com/logo.png",
    "svg_logo": "https://example.com/logo.png",
    "custom_form_fields": {},
    "theme": {},
    "language": "en",
    "consent_content": "example",
    "consent_title": "example",
    "is_active": true,
    "created_at": "2026-03-14T12:00:00Z",
    "updated_at": "2026-03-14T12:00:00Z"
  }
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
string
required

Widget Settings ID

Body

application/json
bot_name
string
bot_auto_start
boolean
bot_position
enum<string>

Position of the bot widget on screen

Available options:
BOT_POSITION_UNSPECIFIED,
BOT_POSITION_BOTTOM_RIGHT,
BOT_POSITION_BOTTOM_LEFT,
BOT_POSITION_TOP_RIGHT,
BOT_POSITION_TOP_LEFT
custom_form_fields
object
theme
object
language
string

Response

200 - application/json

Successful response

success
boolean
message
string
data
object